;memory adresses provided by the fpga
state			equ	$fa4000
readyFlag		equ	$fa4002
uploadCount		equ	$fa4004
stateFPGA		equ	$fa4006
byteCount		equ $fa4008
stateFPGARet 	equ	$fa400a

onoff 			equ	$fa4022

block1Pos		equ	$fa8000
block2Pos		equ	$faa000
;ram values
prgAdr			equ	$3e0000
prgAdrCopy 		equ	$3e0004
stateCopy		equ	$3e0008
prgLen			equ $3e000c
symboltable		equ $3e0010
bugabooLoadFlag equ $3e0014
myBasePage		equ $3e0016
symboltablelen	equ $3e001a
zeroPageMagicPos equ $3e001c
zeroPageMagic	equ $DEAD
bugaBooCmdListPos equ $3e0020

oldrw			equ $3e0024
oldbpb			equ	$3e0028
oldmedia		equ	$3e002c
drivenum		equ	$3e0030


zeroPageBackup	equ	$3d0000

;code page
p_lowtpa 	equ $00	;base of TPA
p_hitpa 	equ $04	;end of TPA
p_tbase		equ $08	;base of text segment
p_tlen 		equ $0c	;size of text segment
p_dbase 	equ $10	;base of data segment
p_dlen 		equ $14	;size of data segment
p_bbase 	equ $18	;size of BSS segment
p_blen 		equ $1c	;base of BSS segment
p_dta 		equ $20	;Disk Transfer Address (DTA)
p_parent 	equ $24	;parent's basepage
p_env 		equ $2c	; enviroment string
p_cmdlin 	equ $80	;commandline image
;file header
hdrMagic 		equ $00	;Ox601A (magic number)
hdrSizeText		equ	$02	;Size of text segment
hdrSizeData		equ	$06	;Size of data segment
hdrSizeBss		equ	$0a	;Size of BSS segment
hdrSizeSymbol	equ	$0e	;Size of symbol table
hdrStartText	equ	$1e	;start of text segment)

firmwareVersion equ	$0051

; states for the 68k state machine
stateIdle			equ	0
stateStartPrgSetup	equ	1
stateCopyBlock1		equ	2
stateCopyBlock2		equ	3
stateRunPrg			equ	4